%define distro Rosa
%define theme Rosa
%define scriptdir %{_datadir}/bootsplash/scripts
%define mdk_bg %{_datadir}/mdk/backgrounds

%define theme_header() \
Summary:	%{distro}%{?1:-%1} theme for plymouth and desktop background \
Group:		Graphics \
%description %{?1} \
This package contains the %{distro}%{?1:-%1} plymouth theme \
with its images and configuration for different resolution as well as \
the the desktop background image. \

%define theme_package(o:) \
%package %{1} \
Requires:	plymouth-system-theme \
Requires:	plymouth-plugin-script >= 0.8.2 \
Requires(post):	bootsplash >= 3.3.0 \
Provides:	mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme = %{version}-%{release} \
Provides:	%{distro}-theme=%{EVRD}  \
Provides:	plymouth(system-theme) \
Provides:	rosa-theme \
Provides:	Mandriva-theme-Rosa \
Obsoletes:	mandrake_theme mandrake-theme mandriva-theme mandrakelinux-theme %{?-o:%{-o*}} \
Requires:	%{distro}-theme-common \
Suggests:	%{distro}-theme-screensaver \
%theme_header(%{1}) \
\
%package %{1}-screensaver \
Summary:	%{distro} %{1} screensaver \
Group:		Graphics \
Provides:	%{distro}-theme-screensaver \
%rename mandriva-theme-Rosa-screensaver \
%rename mandriva-theme-screensaver \
%rename mandriva-screensaver \
\
%description %{1}-screensaver \
This package contains the screensaver associated with the \
%{distro} %{1} theme. \

%define theme_scripts() \
%post -n %{name}-%{1} \
if [ -f /splash.jpg ]; then \
rm -f /splash.jpg \
fi \
if [ -f /welcome.jpg ]; then \
rm -f /welcome.jpg \
fi \
if [ -z "$DURING_INSTALL" ]; then \
  if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
    %{_sbindir}/plymouth-set-default-theme %{distro}-%{1} -R \
  fi \
else \
  if [ -f /etc/sysconfig/bootsplash ]; then \
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=%{distro}-%{1}/' /etc/sysconfig/bootsplash \
  fi \
  %{_sbindir}/plymouth-set-default-theme %{distro}-%{1} \
fi \
if [ -f %{mdk_bg}/%{distro}-root.png -a ! -f %{mdk_bg}/root/default.png -o -L %{mdk_bg}/root/default.png ]; then \
  rm -f %{mdk_bg}/root/default.png \
  ln -s %{distro}-%{1}-root-1600x1200.png %{mdk_bg}/root/default.png \
fi \
if [ -f %{mdk_bg}/default.jpg ]; then \
  rm -f %{mdk_bg}/default.jpg \
  ln -s %{mdk_bg}/rosa-background-%{1}.jpg %{mdk_bg}/default.jpg \
else \
  ln -s %{mdk_bg}/rosa-background-%{1}.jpg %{mdk_bg}/default.jpg \
fi \
if [ -f %{mdk_bg}/rosa-background.jpg ]; then \
  rm -f %{mdk_bg}/rosa-background.jpg \
  ln -s %{mdk_bg}/rosa-background-%{1}.jpg %{mdk_bg}/rosa-background.jpg \
else \
  ln -s %{mdk_bg}/rosa-background-%{1}.jpg %{mdk_bg}/rosa-background.jpg \
fi \
\
%triggerpostun -n %{name}-%{1} -- %{distro}-theme-%{1} < 2.0.0 \
for f in kdeglobals konsolerc; do \
  if [ "`readlink /usr/share/config/$f 2>/dev/null`" == "$f-%{distro}-%{1}" ]; then \
    rm -f /usr/share/config/$f \
  fi \
done \
\
%preun -n %{name}-%{1} \
if [ "$1" == "0" ]; then \
  if [ -x %{scriptdir}/remove-theme ]; then \
    %{scriptdir}/remove-theme %{distro}-%{1} \
  fi \
  link=`readlink %{mdk_bg}/default.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{distro}-%{1}" ]; then rm -f %{mdk_bg}/default.png;fi \
  link=`readlink %{mdk_bg}/default.jpg` \
  slink=${link%%-*} \
  if [ "$slink" == "%{distro}-%{1}" ]; then rm -f %{mdk_bg}/default.jpg;fi \
  link=`readlink %{mdk_bg}/%{distro}.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{distro}-%{1}" ]; then rm -f %{mdk_bg}/%{distro}.png;fi \
  link=`readlink %{mdk_bg}/%{distro}.jpg` \
  slink=${link%%-*} \
  if [ "$slink" == "%{distro}-%{1}" ]; then rm -f %{mdk_bg}/%{distro}.jpg;fi \
  link=`readlink %{mdk_bg}/root/%{distro}.png` \
  slink=${link%%-*} \
  if [ "$slink" == "%{distro}-%{1}-root" ]; then rm -f %{mdk_bg}/root/default.png;fi \
fi \

%define theme_files() \
%files %{1} \
%{_datadir}/gfxboot/themes/%{distro}-%{1} \
%{_datadir}/plymouth/themes/%{distro}-%{1} \
%{mdk_bg}/%{distro}-%{1}* \
%{mdk_bg}/rosa-background-%{1}.jpg \
\
%files %{1}-screensaver \

Name:		%{distro}-theme
Version:	2.0.0RED
Release:	116
Source0:	%{name}-%{version}.tar.xz
License:	GPL
Prefix:		%{_prefix}
BuildArch:	noarch
BuildRequires:	gimp fonts-ttf-dejavu
%theme_header

%theme_package EE -o %{distro}-theme-EE

%package common
Summary:	%{distro} common theme for plymouth
Group:		Graphics
Requires:	rosa-theme
%rename mandriva-theme-common

%description common
This package contains common images for the %{distro} plymouth themes.

%prep
%setup -q

%build
%make

%install
%make install prefix=%{buildroot}

# Default wallpaper should be available without browsing file system
mkdir -p %{buildroot}%{_datadir}/wallpapers
pushd %{buildroot}%{_datadir}/wallpapers
  ln -s ../mdk/backgrounds/default.jpg default.jpg
popd

%theme_scripts EE

%files common
%{_datadir}/wallpapers/default.jpg
%dir %{_datadir}/mdk/screensaver
%{_datadir}/mdk/screensaver/*-*.jpg

%theme_files EE


%changelog
* Tue Mar 31 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.0.0RED-116
+ Revision: d87ec2c
- Change background per http://bugs.rosalinux.ru/show_bug.cgi?id=5243#c10


